Home

API Reference

v1.0.0
Base URL
https://zil.nownodes.io

Authentication

api-keyAuthapiKey

API Key: api-key in header

MAINNET / API-Reference

default

Get latest DS block number

POST
https://zil.nownodes.io/GetLatestDsBlock

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the latest DS (Directory Service) block number.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Latest DS block number retrieved successfully

Get DS block creation rate

POST
https://zil.nownodes.io/GetDSBlockRate

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the rate of DS block creation in blocks per second.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

DS block creation rate retrieved successfully

Get latest transaction block number

POST
https://zil.nownodes.io/GetLatestTxBlock

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the latest transaction (Tx) block number.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Latest Tx block number retrieved successfully

Get network ID

POST
https://zil.nownodes.io/GetNetworkId

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the network ID of the connected Zilliqa network.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Network ID retrieved successfully

Get miner information

POST
https://zil.nownodes.io/GetMinerInfo

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns information about the miner of the node.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Miner information retrieved successfully

Get node type

POST
https://zil.nownodes.io/GetNodeType

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the type of the current node.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Node type retrieved successfully

Get number of DS blocks

POST
https://zil.nownodes.io/GetNumDSBlocks

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the total number of DS blocks created so far.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Number of DS blocks retrieved successfully

Get number of peers

POST
https://zil.nownodes.io/GetNumPeers

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the number of peers connected to this node.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Number of peers retrieved successfully

Get number of transactions

POST
https://zil.nownodes.io/GetNumTransactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the total number of transactions processed so far.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Number of transactions retrieved successfully

Get number of transaction blocks

POST
https://zil.nownodes.io/GetNumTxBlocks

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the total number of transaction blocks created so far.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Number of transaction blocks retrieved successfully

Get previous mining difficulty

POST
https://zil.nownodes.io/GetPrevDifficulty

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the mining difficulty of the previous transaction block.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Previous transaction block difficulty retrieved successfully

Get previous DS block difficulty

POST
https://zil.nownodes.io/GetPrevDSDifficulty

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the mining difficulty of the previous DS block.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Previous DS block difficulty retrieved successfully

Get current sharding structure

POST
https://zil.nownodes.io/GetShardingStructure

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the current sharding structure of the Zilliqa network including shards and DS committee members.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Sharding structure retrieved successfully

Get node software version

POST
https://zil.nownodes.io/GetVersion

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the current node software version.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Node version retrieved successfully

Get total coin supply

POST
https://zil.nownodes.io/GetTotalCoinSupply

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the total circulating supply of ZIL coins.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Total coin supply retrieved successfully

Get transaction block details by block number

POST
https://zil.nownodes.io/GetTxBlock

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns detailed information about a specific transaction block by its number.

Body

application/json
jsonrpcstring

JSON-RPC version

methodstring

Method name

idinteger

Request ID

paramsArray<integer>

Array with block number (height) as parameter

Response

200OK

Transaction block details retrieved successfully

Get transaction block creation rate

POST
https://zil.nownodes.io/GetTxBlockRate

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Returns the average rate at which transaction blocks are created.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<string | integer | object | boolean>required

Parameters for the method (empty if none)

Show child attributes
One of
string
integer
object
boolean

Response

200OK

Transaction block creation rate retrieved successfully